Bug 569048

Summary: gnome-keyboard-preferences changes keyboard layout but does not re-map CTRL+[key], etc.
Product: [Fedora] Fedora Reporter: Karl <kaiserkarl31>
Component: gnome-terminalAssignee: Ray Strode [halfline] <rstrode>
Status: CLOSED UPSTREAM QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: behdad, rstrode
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-03 17:16:27 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Karl 2010-02-27 14:49:15 EST
Description of problem:
gnome-keyboard-preferences will change the keyboard layout (e.g. from US-Dvorak to standard US) and remap all keys and SHIFT+[key] combinations correctly.  CTRL+[key] combinations stay mapped to the original layout in use when Gnome (or perhaps GDM) was started.

Version-Release number of selected component (if applicable):
Fedora 12, Gnome 2.28.2.

How reproducible:
Always

Steps to Reproduce:
1. Set default layout to US-Dvorak
2. Add US as secondary layout
3. With Gnome terminal open, activate the USA-standard layout and type a few keystrokes, then press CTRL-I.
  
Actual results:
Keyboard behaves as if CTRL-C were pressed (which is what would have happened had Dvorak still been active).

Expected results:
Terminal behaves as if CTRL-I were pressed (equivalent to the tab key).

Additional info:
Keyboard behaves correctly when using the default layout; only when switching layouts does that failed mapping occur.  This bug has been present since at least Fedora 8 or 9, possibly much earlier.
Comment 1 Karl 2010-07-02 20:09:56 EDT
I've determined that this bug is specific to Gnome-terminal.  As such, I have changed its status to correspond to "gnome-terminal" instead of "gnome-applets" (the new control keys map perfectly in GVIM, for example).
Comment 2 Bug Zapper 2010-11-03 17:11:56 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 17:16:27 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.